Retrieve a dispute
GET /disputes/{uid}: fetch a single dispute by id.
GET
https://api.wajub.com/disputes/{uid}Live environment required
Dispute endpoints require the sk.… private key and are only available in the live environment.
GET
https://api.wajub.com/disputes/{uid}curl https://api.wajub.com/disputes/dsp_hrgUOE225KMKULRQqYvlh \
-H "Authorization: sk.kZ3qP8mWvL2xR7tB5nY4hC6dF9jS1aG0eU3i…"{
"status": "OK",
"code": 200,
"dispute": {
"id": "dsp_hrgUOE225KMKULRQqYvlh",
"status": "needs_response",
"amount": 5000,
"currency": "XAF",
"reason": "fraudulent",
"payment": "trx_CSUGajfv9xh0XQ5wu2lx",
"due_by": "2026-07-22T10:21:08.000Z",
"created_at": "2026-07-15T10:21:08.000Z"
}
}
idstringoptionalUnique dispute identifier (dsp_xxx).
statusenumoptionalneeds_response, under_review, won, lost, or closed.
reasonstringoptionalReason code provided by the customer or provider.
paymentstringoptionalThe disputed payment id (trx_xxx).
due_bydatetimeoptionalDeadline to submit evidence, ISO 8601.